.video-popup.fullscreen {
    left: 0;
    bottom: 0;
    border: none;
    width: 100vw;
    height: 100vh;
    border-radius: 0;
}

.video-popup {
    position: fixed;
    bottom: 20px;
    left: 20px;
    width: 320px;
    height: 180px;
    background: black;
    border: 2px solid #ffb3c4e0;
    border-radius: 12px;
    overflow: hidden;
    z-index: 999;
    transition: all 0.4s ease;
    transform-origin: bottom left;
}

.video-popup.fullscreen .close-btn {
    display: block;
}

video {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.play-btn {
    position: absolute;
    top: 70%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 80px;
    height: 80px;
    border: none;
    background: transparent;
    color: #ffb3c4e0;
    font-size: 75px;
    cursor: pointer;
    z-index: 1001;

    display: flex;
    align-items: center;
    justify-content: center;
}

.close-btn {
    display: none;
    position: fixed;
    top: 15px;
    right: 15px;
    width: 42px;
    height: 42px;
    border: none;
    border-radius: 50%;
    background: rgba(255, 255, 255, 0.9);
    font-size: 20px;
    cursor: pointer;
    z-index: 9999;
}